@use '~@angular/material' as mat;
@use './easings' as easings;
@use './queries' as queries;
@import 'src/theme.scss';

@include mat.core();

@import '@angular/material/prebuilt-themes/indigo-pink.css';
@import url('./assets/fonts/OpenSans.css');
@import url('./assets/fonts/MaterialIcons.css');

:root {
  --font-stack: 'Open Sans', Frutiger, 'Frutiger Linotype', Univers, Calibri, 'Gill Sans',
    'Gill Sans MT', 'Myriad Pro', Myriad, 'DejaVu Sans Condensed', 'Liberation Sans',
    'Nimbus Sans L', Tahoma, Geneva, 'Helvetica Neue', Helvetica, Arial, sans-serif;
  --drop-shadow: drop-shadow(0 0.1rem 0.1rem rgba(0, 0, 0, 0.25));
  --color: var(--brand-color);
}

/* Font smoothing */
* {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

#grid-wrap {
  height: 100%;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-template-rows: 60px 1fr auto;
  grid-template-areas: 'header header header header' 'content content content content' 'footer footer footer footer';
}

app-navbar {
  grid-area: header;
}

main {
  grid-area: content;
}

app-footer {
  grid-area: footer;
}

html,
body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  font-family: var(--font-stack);
}

pre {
  font-family: var(--font-stack);
  white-space: pre-wrap;
  white-space: -moz-pre-wrap;
  white-space: -pre-wrap;
  white-space: -o-pre-wrap;
  word-wrap: normal;
  word-break: normal;
  text-align: justify;
  line-height: 1.5rem;
}

h1,
h2,
h3,
h4,
h5 {
  font-weight: normal;
}

.cursor-pointer {
  cursor: pointer;
}

.cursor-help {
  cursor: help;
}

.center-text-horizontal {
  text-align: center;
  display: inline-flex;
  justify-content: center;
}

.display-grid {
  display: grid;
}

.remove-margin {
  margin: 0;
}

.fullwidth {
  width: 100%;
}



.mat-fab.mat-primary,
.mat-flat-button.mat-primary,
.mat-mini-fab.mat-primary,
.mat-raised-button.mat-primary {
  background-color: var(--brand-color);
}

#tib-logo{
  background-color: #f77159 !important;
}

#tib-string{
  color: #f77159 !important;
}

.mat-horizontal-stepper-header {
  height: 40px !important;

  &:focused,
  &:hover,
  &:active {
    background-color: rgba(0, 0, 0, 0) !important;
    border-bottom: 0.2rem solid var(--brand-color) !important;
  }

  margin-bottom: 12px;
}

h1.entity-detail {
  background-color: #fff;
  padding: 10px 20px;
  font-weight: normal;
  margin-top: 0;
  margin-bottom: 15px;
}

.detail-block {
  background-color: #fff;
  padding: 10px 20px;
  margin-bottom: 10px;

  h2 {
    margin-top: 5px;
  }
}

a {
  color: mat.get-color-from-palette($kompakkt-primary, 500);
  //color: var(--brand-color);
  text-decoration-color: mat.get-color-from-palette($kompakkt-primary, 500);
}

.content {
  background-color: #fff;
  padding: min(2vmin, 1rem) min(4vmin, 2rem);
}

iframe {
  border: 0;
}

.fullheight {
  height: 100%;
  min-height: 100%;
}

.uppercase {
  text-transform: uppercase;
}

.text-blue {
  color: var(--brand-color);
}

.bgr-blue {
  background-color: var(--brand-color);
}

.bgr-white {
  background-color: #fff;
}

.metadata-container {
  display: flex;
  flex-direction: column;

  &.preview {
    p,
    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
      margin: 0 0 0.8rem 0;
      display: flex;
      align-items: center;

      > * {
        padding-right: 0.4rem;
      }
    }

    .mat-chip-list-wrapper {
      margin: 0 !important;
    }
  }
}

.metadata-mat-card-container {
  display: flex;
  flex-flow: row wrap;
  justify-content: flex-start;
  align-items: center;

  .mat-card {
    margin: 0 1rem 1rem 0;
    min-width: 300px;
    padding: 0 !important;
    @include mat.elevation(2);
    @include mat.elevation-transition();

    &:hover {
      @include mat.elevation(6);
    }
  }

  .metadata-mat-card-buttons {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
    border-top: solid 0.1rem var(--brand-color);
  }

  .metadata-mat-card-content {
    padding: 1rem;
    padding-bottom: 0.4rem;
  }
}

.metadata-nested {
  padding: 0.2rem 1rem;
  // margin-top: 0.2rem;
  // margin-bottom: 20px;

  /* !important to overwrite default mat-card rule */
  transition: border 280ms cubic-bezier(0.4, 0, 0.2, 1),
    box-shadow 280ms cubic-bezier(0.4, 0, 0.2, 1) !important;

  > mat-form-field {
    width: 100%;
  }

  border-left: 3px solid #fff;

  &:focus-within,
  &:hover {
    border-left: 3px solid #00afe7;
  }

  .metadata-nested:focus-within {
    border-left: 3px solid #aaa;
  }

  h2 {
    margin-top: 0;
    margin-bottom: 5px;
  }
}

.metadata-role-selection {
  padding: 0.5rem 0.5rem 0.5rem 0;
}

.metadata-tab-delete-button {
  right: 0;
}

.iframe-container {
  position: relative;
  overflow: hidden;

  background: #111;

  iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;
  }
}

/*.mat-drawer-container {
  background-color: #eee;
}*/

.mat-expansion-panel {
  box-shadow: none !important;
  border-radius: unset !important;
}

/*.mat-expansion-panel-header.mat-expansion-toggle-indicator-before .mat-expansion-indicator {
  margin: 0 16px 3px 0 !important;
}

.mat-expanded
  .mat-expansion-panel-header.mat-expansion-toggle-indicator-before
  .mat-expansion-indicator {
  margin: 0 16px -3px 0 !important;
}

.mat-accordion .mat-expansion-panel {
  border-radius: unset !important;
}*/

.radio-group {
  display: flex;
  flex-direction: column;
  margin: 0 0 15px 0;
}

.radio-button {
  margin: 5px;
}

.licence-icon {
  height: 30px;
}

.licence-description {
  margin-left: 33px;

  a {
    text-decoration: none;
  }
}

.mat-tab-header,
.mat-tab-nav-bar {
  border-bottom: none;
}

mat-dialog-container {
  max-height: 95vh !important;
}

app-actionbar {
  position: sticky;
}

#subnavbar,
#actionbar {
  padding: 0.4rem 0 0.2rem 0;
  z-index: 998 !important;
  overflow-x: auto;
  overflow-y: hidden;

  .container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;

    > * {
      padding: 0 0.4rem;
    }
  }

  button {
    font-size: 12px;
    margin: 0 0.4rem;
    border-radius: 25px;
  }
}

.mat-drawer-container {
  background-color: white;
}

/* Scrollbar style */
* {
  scrollbar-width: thin;
  scrollbar-color: #4a5b6c transparent;
  -ms-overflow-style: -ms-autohiding-scrollbar;

  &::-webkit-scrollbar {
    width: 0.4rem;
    height: 0.2rem;
    border-radius: 1rem;
  }

  &::-webkit-scrollbar-track {
    border-radius: 1rem;
  }

  &::-webkit-scrollbar-thumb {
    background-color: #4a5b6c;
    border-radius: 1rem;
  }
}

.entity-details {
  padding: 10px 15px 35px 15px;
  word-break: break-word;

  h1,
  h2 {
    color: var(--brand-color);
  }
}

#router-container {
  height: 100%;

  > * {
    flex-direction: column !important;
  }
}

app-annotate {
  height: 100%;
}

#edit-entity-dialog,
#explore-entity-dialog,
#explore-compilation-dialog {
  height: 100vh;
  width: 100vw;

  iframe {
    height: 100%;
    width: 100%;
  }
}

#explore-compilation-dialog,
#explore-entity-dialog {
  padding: 0 !important;
  border-radius: 1rem !important;
  background: #111;
  overflow: hidden !important;
}

/* Grid Styles */
.entity-grid {
  display: grid;
  justify-items: center;
  grid-gap: 1em;
  padding-bottom: 10px;

  grid-template-columns: repeat(5, 1fr);

  @include queries.small {
    grid-template-columns: repeat(1, 1fr);
  }

  @include queries.medium {
    grid-template-columns: repeat(3, 1fr);
  }

  @include queries.large {
    grid-template-columns: repeat(5, 1fr);
  }

  @include queries.huge {
    grid-template-columns: repeat(6, 1fr);
  }
}

/* for touch screen devices */
@media (hover: none) {
  .entity-grid .title {
    opacity: 1;
  }
  .entity-grid .image img {
    filter: blur(2px);
  }
}

/* Action Button */
#close-explore-entity-button {
  margin-top: -15px;
  margin-right: -10px;
  margin-bottom: 10px;
  background-color: #ddd;
}

.actionbutton {
  position: absolute !important;
  top: 15px;
  left: 15px;
  z-index: 1;
  background-color: rgba(255, 255, 255, 0.9) !important;

  &.mat-icon-button {
    width: 27px;
    height: 27px;
    line-height: 27px;

    .material-icons {
      font-size: 16px;
    }
  }
}

#actionbar .mat-slide-toggle.mat-checked:not(.mat-disabled) {
  .mat-slide-toggle-bar {
    background-color: #aaa;
  }

  .mat-slide-toggle-thumb {
    background-color: #eee;
  }
}

// Change layout of expansion panel on profile page
#profile-page-content {
  .mat-expansion-panel-spacing {
    margin: 0;
  }

  .mat-content {
    display: block;
  }

  .mat-expansion-panel-header {
    border-top: solid 2px var(--brand-color) !important;
  }
}

// Entity wizard
app-edit-entity-dialog {
  height: 100%;
}

.cursor-pointer {
  cursor: pointer;
}

.cursor-default {
  cursor: default;
}

#compilation-data {
  height: 100%;
  overflow-y: auto;

  margin: 0 35px;

  @media (max-width: 1024px) {
    margin: 0;
  }
}

.mat-card .mat-card-title {
  font-weight: normal !important;
}

.can-be-disabled {
  transition: filter 500ms;
  &.disabled {
    filter: opacity(0.5);
    pointer-events: none;
  }
}

.cdk-overlay-pane {
  max-width: 95vw !important;
}

div.block {
  margin-bottom: 0 !important;
  & + div.block {
    margin-top: 1rem !important;
  }
}
